Debian Bug report logs - #121159
alternate screen not restoring original cursor position

version graph

Package: konsole; Maintainer for konsole is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for konsole is src:konsole.

Reported by: "Michael P. Soulier" <michael.soulier@rogers.com>

Date: Mon, 26 Nov 2001 01:03:01 UTC

Severity: normal

Merged with 120840, 120984

Found in version 4:2.2.2-1

Fixed in version kdebase/4:2.2.2-3

Done: rkrusty@debian.org (Ivan E. Moore II)

Bug is archived. No further changes may be made.

Forwarded to 35294@bugs.kde.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#121159; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to "Michael P. Soulier" <michael.soulier@rogers.com>:
New Bug report received and forwarded. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michael P. Soulier" <michael.soulier@rogers.com>
To: submit@bugs.debian.org
Subject: alternate screen not restoring original cursor position
Date: Sun, 25 Nov 2001 19:56:08 -0500
[Message part 1 (text/plain, inline)]
Package: konsole
Version: 4:2.2.2-1

When I go into a curses app that uses the alternate screen, like Pine
or Slrn, and then exit that app, the original cursor position is not
restored. The prompt exits near the top of the terminal, in the middle
of previously written terminal output.

Mike

-- 
Michael P. Soulier <msoulier@mcss.mcmaster.ca>, GnuPG pub key: 5BC8BE08
"...the word HACK is used as a verb to indicate a massive amount
of nerd-like effort."  -Harley Hahn, A Student's Guide to Unix
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#121159; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to "Ivan E. Moore II" <rkrusty@tdyc.com>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #10 received at 121159@bugs.debian.org (full text, mbox):

From: "Ivan E. Moore II" <rkrusty@tdyc.com>
To: "Michael P. Soulier" <michael.soulier@rogers.com>, 121159@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#121159: alternate screen not restoring original cursor position
Date: Sun, 25 Nov 2001 18:53:10 -0700
merge #121159 #120984 #120840
thanks

so much for people checking to see if the bug was already submitted and
keeping from wasting developers time.

Ivan

On Sun, Nov 25, 2001 at 07:56:08PM -0500, Michael P. Soulier wrote:
> Package: konsole
> Version: 4:2.2.2-1
> 
> When I go into a curses app that uses the alternate screen, like Pine
> or Slrn, and then exit that app, the original cursor position is not
> restored. The prompt exits near the top of the terminal, in the middle
> of previously written terminal output.
> 
> Mike
> 
> -- 
> Michael P. Soulier <msoulier@mcss.mcmaster.ca>, GnuPG pub key: 5BC8BE08
> "...the word HACK is used as a verb to indicate a massive amount
> of nerd-like effort."  -Harley Hahn, A Student's Guide to Unix


---end quoted text---

-- 
----------------
Ivan E. Moore II
rkrusty@tdyc.com
http://snowcrash.tdyc.com
GPG KeyID=90BCE0DD
GPG Fingerprint=F2FC 69FD 0DA0 4FB8 225E 27B6 7645 8141 90BC E0DD



Noted your statement that Bug has been forwarded to 35294@bugs.kde.org. Request was from "Ivan E. Moore II" <rkrusty@tdyc.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 120840 120984 121159. Request was from "Ivan E. Moore II" <rkrusty@tdyc.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to rkrusty@debian.org (Ivan E. Moore II):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Michael P. Soulier" <michael.soulier@rogers.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 120840-close@bugs.debian.org (full text, mbox):

From: rkrusty@debian.org (Ivan E. Moore II)
To: 120840-close@bugs.debian.org
Subject: Bug#120840: fixed in kdebase 4:2.2.2-3
Date: Tue, 27 Nov 2001 15:01:23 -0500
We believe that the bug you reported is fixed in the latest version of
kdebase, which has been installed in the Debian FTP archive:

kate_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kate_2.2.2-3_i386.deb
kdebase-audiolibs_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdebase-audiolibs_2.2.2-3_i386.deb
kdebase-dev_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdebase-dev_2.2.2-3_i386.deb
kdebase-doc_2.2.2-3_all.deb
  to pool/main/k/kdebase/kdebase-doc_2.2.2-3_all.deb
kdebase-libs_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdebase-libs_2.2.2-3_i386.deb
kdebase_2.2.2-3.diff.gz
  to pool/main/k/kdebase/kdebase_2.2.2-3.diff.gz
kdebase_2.2.2-3.dsc
  to pool/main/k/kdebase/kdebase_2.2.2-3.dsc
kdebase_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdebase_2.2.2-3_i386.deb
kdewallpapers_2.2.2-3_all.deb
  to pool/main/k/kdebase/kdewallpapers_2.2.2-3_all.deb
kdm_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdm_2.2.2-3_i386.deb
konqueror_2.2.2-3_i386.deb
  to pool/main/k/kdebase/konqueror_2.2.2-3_i386.deb
konsole_2.2.2-3_i386.deb
  to pool/main/k/kdebase/konsole_2.2.2-3_i386.deb
kscreensaver_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kscreensaver_2.2.2-3_i386.deb
libkonq-dev_2.2.2-3_i386.deb
  to pool/main/k/kdebase/libkonq-dev_2.2.2-3_i386.deb
libkonq3_2.2.2-3_i386.deb
  to pool/main/k/kdebase/libkonq3_2.2.2-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 120840@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ivan E. Moore II <rkrusty@debian.org> (supplier of updated kdebase package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 26 Nov 2001 14:47:00 -0700
Source: kdebase
Binary: kdm kdebase-libs libkonq-dev libkonq3 kdebase konsole konqueror kscreensaver kdebase-dev kdebase-doc kdebase-audiolibs kate kdewallpapers
Architecture: source i386 all
Version: 4:2.2.2-3
Distribution: unstable
Urgency: low
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Changed-By: Ivan E. Moore II <rkrusty@debian.org>
Description: 
 kate       - text editor for KDE
 kdebase    - KDE core applications
 kdebase-audiolibs - KDE audio libraries amd modules for kdebase
 kdebase-dev - KDE core applications (development files)
 kdebase-doc - Documentation for Applications in kdebase
 kdebase-libs - KDE libraries and modules for kdebase
 kdewallpapers - Some wallpapers for KDE
 kdm        - The K Desktop Manager
 konqueror  - KDE's advanced File Manager, Web Browser and Document Viewer
 konsole    - X terminal emulation for KDE
 kscreensaver - Screen savers for KDE
 libkonq-dev - Core libraries for KDE's file manager (development headers)
 libkonq3   - Core libraries for KDE's file manager
Closes: 120840 120841 120984 121159 121163 121165
Changes: 
 kdebase (4:2.2.2-3) unstable; urgency=low
 .
   * Update Brazilian Portuguese debconf entries (Closes: #120841)
   * Remove kdmrc debconf note
   * Add in replaces to fix those people using testing who don't know
     how to use --force-overwrite or don't know how to let dpkg fix
     things on the second go around.  What a waste of disk space.
     You know...people who don't know how to use dpkg or know how
     releases are done shouldn't be allowed to manipulate severities
     on bug reports.  (Closes: #121163, #121165)
   * Fix konsole (Closes: #120840, #120984, #121159)
Files: 
 95b2eb7792969bd81863f1c7effdd0b1 1128 x11 optional kdebase_2.2.2-3.dsc
 e4dbb3a1ba4feabe1868630207734686 45875 x11 optional kdebase_2.2.2-3.diff.gz
 f95458f1133ea3655e668eca59bad828 6466194 x11 optional kdebase_2.2.2-3_i386.deb
 6d745f3fa510f3ef0385e2f0ad5847f1 391044 x11 optional kscreensaver_2.2.2-3_i386.deb
 31721d156c1f850abe8b9871f58a6f65 393100 x11 optional kdm_2.2.2-3_i386.deb
 b2786e6dc3222921a6705d91201fb380 2033928 web optional konqueror_2.2.2-3_i386.deb
 e66d1384c2e826d8cad6713c6058bf6c 218998 libs optional libkonq3_2.2.2-3_i386.deb
 4193598eba84fc3b505e6f4261c68ad2 43834 devel optional libkonq-dev_2.2.2-3_i386.deb
 ee96325a19fa805d5badc0617ed3dbfd 457096 x11 optional konsole_2.2.2-3_i386.deb
 542c45f78333cb406635ee5e695d8c36 1491670 libs optional kdebase-libs_2.2.2-3_i386.deb
 1cd53d51dd7e6595ae7c4dbdb797ad54 114190 libs optional kdebase-audiolibs_2.2.2-3_i386.deb
 1e5769948b6cc76929a81f5a286cbb76 405780 editors optional kate_2.2.2-3_i386.deb
 3b054a0b649c78a34e8c5ecd2e908b76 85960 devel optional kdebase-dev_2.2.2-3_i386.deb
 cd1d6282bfd4f479eb2b41ea3eb8ec3d 960068 x11 optional kdewallpapers_2.2.2-3_all.deb
 a0d0b589d46d3bb4548f13bb27740c4a 3140428 doc optional kdebase-doc_2.2.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8AwezdkWBQZC84N0RAt46AJ4mhi1BauvGzTOkrDSQ4ttRI/e48ACcDBBz
IQ6WfolbaO/8++6cR4JUFlU=
=x7mF
-----END PGP SIGNATURE-----




Message #20 received at 121159-close@bugs.debian.org (full text, mbox):

From: rkrusty@debian.org (Ivan E. Moore II)
To: 121159-close@bugs.debian.org
Subject: Bug#121159: fixed in kdebase 4:2.2.2-3
Date: Tue, 27 Nov 2001 15:01:23 -0500
We believe that the bug you reported is fixed in the latest version of
kdebase, which has been installed in the Debian FTP archive:

kate_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kate_2.2.2-3_i386.deb
kdebase-audiolibs_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdebase-audiolibs_2.2.2-3_i386.deb
kdebase-dev_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdebase-dev_2.2.2-3_i386.deb
kdebase-doc_2.2.2-3_all.deb
  to pool/main/k/kdebase/kdebase-doc_2.2.2-3_all.deb
kdebase-libs_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdebase-libs_2.2.2-3_i386.deb
kdebase_2.2.2-3.diff.gz
  to pool/main/k/kdebase/kdebase_2.2.2-3.diff.gz
kdebase_2.2.2-3.dsc
  to pool/main/k/kdebase/kdebase_2.2.2-3.dsc
kdebase_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdebase_2.2.2-3_i386.deb
kdewallpapers_2.2.2-3_all.deb
  to pool/main/k/kdebase/kdewallpapers_2.2.2-3_all.deb
kdm_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kdm_2.2.2-3_i386.deb
konqueror_2.2.2-3_i386.deb
  to pool/main/k/kdebase/konqueror_2.2.2-3_i386.deb
konsole_2.2.2-3_i386.deb
  to pool/main/k/kdebase/konsole_2.2.2-3_i386.deb
kscreensaver_2.2.2-3_i386.deb
  to pool/main/k/kdebase/kscreensaver_2.2.2-3_i386.deb
libkonq-dev_2.2.2-3_i386.deb
  to pool/main/k/kdebase/libkonq-dev_2.2.2-3_i386.deb
libkonq3_2.2.2-3_i386.deb
  to pool/main/k/kdebase/libkonq3_2.2.2-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 121159@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ivan E. Moore II <rkrusty@debian.org> (supplier of updated kdebase package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 26 Nov 2001 14:47:00 -0700
Source: kdebase
Binary: kdm kdebase-libs libkonq-dev libkonq3 kdebase konsole konqueror kscreensaver kdebase-dev kdebase-doc kdebase-audiolibs kate kdewallpapers
Architecture: source i386 all
Version: 4:2.2.2-3
Distribution: unstable
Urgency: low
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Changed-By: Ivan E. Moore II <rkrusty@debian.org>
Description: 
 kate       - text editor for KDE
 kdebase    - KDE core applications
 kdebase-audiolibs - KDE audio libraries amd modules for kdebase
 kdebase-dev - KDE core applications (development files)
 kdebase-doc - Documentation for Applications in kdebase
 kdebase-libs - KDE libraries and modules for kdebase
 kdewallpapers - Some wallpapers for KDE
 kdm        - The K Desktop Manager
 konqueror  - KDE's advanced File Manager, Web Browser and Document Viewer
 konsole    - X terminal emulation for KDE
 kscreensaver - Screen savers for KDE
 libkonq-dev - Core libraries for KDE's file manager (development headers)
 libkonq3   - Core libraries for KDE's file manager
Closes: 120840 120841 120984 121159 121163 121165
Changes: 
 kdebase (4:2.2.2-3) unstable; urgency=low
 .
   * Update Brazilian Portuguese debconf entries (Closes: #120841)
   * Remove kdmrc debconf note
   * Add in replaces to fix those people using testing who don't know
     how to use --force-overwrite or don't know how to let dpkg fix
     things on the second go around.  What a waste of disk space.
     You know...people who don't know how to use dpkg or know how
     releases are done shouldn't be allowed to manipulate severities
     on bug reports.  (Closes: #121163, #121165)
   * Fix konsole (Closes: #120840, #120984, #121159)
Files: 
 95b2eb7792969bd81863f1c7effdd0b1 1128 x11 optional kdebase_2.2.2-3.dsc
 e4dbb3a1ba4feabe1868630207734686 45875 x11 optional kdebase_2.2.2-3.diff.gz
 f95458f1133ea3655e668eca59bad828 6466194 x11 optional kdebase_2.2.2-3_i386.deb
 6d745f3fa510f3ef0385e2f0ad5847f1 391044 x11 optional kscreensaver_2.2.2-3_i386.deb
 31721d156c1f850abe8b9871f58a6f65 393100 x11 optional kdm_2.2.2-3_i386.deb
 b2786e6dc3222921a6705d91201fb380 2033928 web optional konqueror_2.2.2-3_i386.deb
 e66d1384c2e826d8cad6713c6058bf6c 218998 libs optional libkonq3_2.2.2-3_i386.deb
 4193598eba84fc3b505e6f4261c68ad2 43834 devel optional libkonq-dev_2.2.2-3_i386.deb
 ee96325a19fa805d5badc0617ed3dbfd 457096 x11 optional konsole_2.2.2-3_i386.deb
 542c45f78333cb406635ee5e695d8c36 1491670 libs optional kdebase-libs_2.2.2-3_i386.deb
 1cd53d51dd7e6595ae7c4dbdb797ad54 114190 libs optional kdebase-audiolibs_2.2.2-3_i386.deb
 1e5769948b6cc76929a81f5a286cbb76 405780 editors optional kate_2.2.2-3_i386.deb
 3b054a0b649c78a34e8c5ecd2e908b76 85960 devel optional kdebase-dev_2.2.2-3_i386.deb
 cd1d6282bfd4f479eb2b41ea3eb8ec3d 960068 x11 optional kdewallpapers_2.2.2-3_all.deb
 a0d0b589d46d3bb4548f13bb27740c4a 3140428 doc optional kdebase-doc_2.2.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8AwezdkWBQZC84N0RAt46AJ4mhi1BauvGzTOkrDSQ4ttRI/e48ACcDBBz
IQ6WfolbaO/8++6cR4JUFlU=
=x7mF
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#121159; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #25 received at 121159@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 121159@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=121159&repeatmerged=
Date: Fri, 30 Nov 2001 20:01:20 -0500
I added a test screen (11.6.3) to vttest to illustrate the bug in konsole.
Take a look at
	http://invisible-island.net/vttest
	ftp://invisible-island.net/vttest

(gnome terminal does worse, btw ;-)

                       Debian Bug report logs - #121159
>            alternate screen not restoring original cursor position
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#121159; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to "Ivan E. Moore II" <rkrusty@tdyc.com>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #30 received at 121159@bugs.debian.org (full text, mbox):

From: "Ivan E. Moore II" <rkrusty@tdyc.com>
To: Thomas Dickey <dickey@herndon4.his.com>, 121159@bugs.debian.org
Subject: Re: Bug#121159: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=121159&repeatmerged=
Date: Fri, 30 Nov 2001 18:05:38 -0700
have you tried the packages out of sid?  

On Fri, Nov 30, 2001 at 08:01:20PM -0500, Thomas Dickey wrote:
> I added a test screen (11.6.3) to vttest to illustrate the bug in konsole.
> Take a look at
> 	http://invisible-island.net/vttest
> 	ftp://invisible-island.net/vttest
> 
> (gnome terminal does worse, btw ;-)
> 
>                        Debian Bug report logs - #121159
> >            alternate screen not restoring original cursor position
> -- 
> Thomas E. Dickey <dickey@invisible-island.net>
> http://invisible-island.net
> ftp://invisible-island.net
---end quoted text---

-- 
----------------
Ivan E. Moore II
rkrusty@tdyc.com
http://snowcrash.tdyc.com
GPG KeyID=90BCE0DD
GPG Fingerprint=F2FC 69FD 0DA0 4FB8 225E 27B6 7645 8141 90BC E0DD



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#121159; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to "Ivan E. Moore II" <rkrusty@tdyc.com>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #35 received at 121159@bugs.debian.org (full text, mbox):

From: "Ivan E. Moore II" <rkrusty@tdyc.com>
To: Thomas Dickey <dickey@herndon4.his.com>, 121159@bugs.debian.org
Subject: Re: Bug#121159: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=121159&repeatmerged=
Date: Fri, 30 Nov 2001 18:17:24 -0700
this bug has already been fixed. 


On Fri, Nov 30, 2001 at 08:01:20PM -0500, Thomas Dickey wrote:
> I added a test screen (11.6.3) to vttest to illustrate the bug in konsole.
> Take a look at
> 	http://invisible-island.net/vttest
> 	ftp://invisible-island.net/vttest
> 
> (gnome terminal does worse, btw ;-)
> 
>                        Debian Bug report logs - #121159
> >            alternate screen not restoring original cursor position
> -- 
> Thomas E. Dickey <dickey@invisible-island.net>
> http://invisible-island.net
> ftp://invisible-island.net
---end quoted text---

-- 
----------------
Ivan E. Moore II
rkrusty@tdyc.com
http://snowcrash.tdyc.com
GPG KeyID=90BCE0DD
GPG Fingerprint=F2FC 69FD 0DA0 4FB8 225E 27B6 7645 8141 90BC E0DD



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:32:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.